Page MenuHomePhabricator

Ability to create and manage custom card types
Closed, DuplicatePublic

Description

Requested by a few Wikimedia Foundation staffers - we want to be able to have different kinds of cards that are differentiated by a "type" field. e.g. we would probably create "bug", "task", "story", and so on. We might also use the same feature to create "sprint", "release", and so on.

Event Timeline

mtraceur raised the priority of this task from to Needs Triage.
mtraceur updated the task description. (Show Details)
mtraceur added a project: Phabricator.
mtraceur added a subscriber: mtraceur.

Have you looked at custom fields yet?

They might not do everything you want, but are probably the best starting point.

Documentation is here:

https://secure.phabricator.com/book/phabricator/article/custom_fields/

qgil added a subscriber: qgil.Apr 21 2014, 7:13 PM
qgil added a comment.Apr 22 2014, 8:25 PM

I think @mtraceur's point is the visualization of these different types of cards in workboards.

Now you can see at a glance which tasks are Low, Normal, High... If we would define different types of tasks ("Bug", "Task", "Story") through a "Type" custom field, then (according to this request) they would be identifiable in the board. But how? If we take only this "Type" then we could have e.g. icons for it, but if this is a free-form feature, wht system should be used to make each custom card type distinct? Initials? Random logo?

I believe the problem of sprints and releases is different. You still could define sprints and releases through custom fields, but then what you want is to see and manage the workboard for a specific sprint. Now the only way to do this is to consider that any release or sprint is a project e.g. "Maniphest 2014.4 sprint".

chad triaged this task as Normal priority.Apr 22 2014, 9:40 PM
chad removed a project: Phabricator.
qgil updated the task description. (Show Details)Apr 22 2014, 10:03 PM
qgil added a comment.EditedApr 28 2014, 3:57 PM

Do types of card map always to types of task? If a task is "Bug" then the card should be identified as "Bug" as well, right?

If this is the case, then I think it is better to make sure that types of task are visible in the cards (T4863: Allow Workboard Cards to be customized for display) and then close this request here.

chad added a comment.EditedApr 28 2014, 4:01 PM

@qgil there is some thoughts on this in M72, where if you've added Custom Fields and we've built T418: Integrate CustomField into more interfaces then you'll have I think what you're looking for.

chad closed this task as a duplicate.Apr 28 2014, 4:13 PM

✘ Merged into T4863.